# Get Quiz Results

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/lessons/{lesson_id}/quiz/results`

#### Path Parameters

| Name       | Type    | Description      |
| ---------- | ------- | ---------------- |
| lesson\_id | integer | ID of the lesson |

#### Headers

<table><thead><tr><th>Name</th><th width="249">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authentication</td><td>string</td><td>Authentication token to track down who is emptying our stocks.</td></tr></tbody></table>

{% tabs %}
{% tab title="200 OK" %}

```json
{
    "status": 200,
    "response_code": 0,
    "success": true,
    "errors": [],
    "message": "Course liked successfully",
    "data": {
        "message": "Course liked successfully"
    }
}

```

{% endtab %}

{% tab title="404 Not Found" %}

```json
{
    "status": 200,
    "response_code": 0,
    "success": true,
    "errors": [],
    "message": "Quiz results retrieved",
    "data": {
        "score": "You got 0/5 correct",
        "results": [
            {
                "question": " What is one key advantage of Pezesha's fast and simple process?",
                "your_answer": "It requires extensive documentation.",
                "is_correct": false,
                "correct_answer": "It provides quick approval decisions and rapid money transfer to M-PESA."
            },
            {
                "question": "Which of the following is true about Pezesha's collateral requirements?",
                "your_answer": "No answer",
                "is_correct": null,
                "correct_answer": "Collateral is not required since loans are based on business performance."
            },
            {
                "question": "How does Pezesha ensure fairness in its loan process?",
                "your_answer": "No answer",
                "is_correct": null,
                "correct_answer": "Through straightforward interest calculation and flexible payment schedules."
            },
            {
                "question": "What additional business support does Pezesha offer?",
                "your_answer": "No answer",
                "is_correct": null,
                "correct_answer": "Free financial education and convenient customer support"
            },
            {
                "question": "Which visual is used to compare Pezesha's document requirements with those of traditional banks?",
                "your_answer": "No answer",
                "is_correct": null,
                "correct_answer": "A comparison chart"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/financial-education-1/quiz/fetch-customer-session-summary-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
